## org.apache.batik.util.resources
Class ResourceManager

    java.lang.Object
      org.apache.batik.util.resources.ResourceManager

Direct Known Subclasses:
  ButtonFactory, MenuFactory, ToolBarFactory

    public class ResourceManager

extends java.lang.Object

This class offers convenience methods to decode resource bundle entries

Field Summary
`protected java.util.ResourceBundle` `bundle` The managed resource bundle

Constructor Summary
`ResourceManager(java.util.ResourceBundle rb)` Creates a new resource manager

Method Summary
`boolean` `getBoolean(java.lang.String key)` Returns the boolean mapped with the given key
`int` `getCharacter(java.lang.String key)`
`int` `getInteger(java.lang.String key)` Returns the integer mapped with the given string
`java.lang.String` `getString(java.lang.String key)` Returns the string that is mapped with the given key
`java.util.List` `getStringList(java.lang.String key)` Returns the tokens that compose the string mapped with the given key.
`java.util.List` `getStringList(java.lang.String key, java.lang.String delim)` Returns the tokens that compose the string mapped with the given key.
`java.util.List` `getStringList(java.lang.String key, java.lang.String delim, boolean returnDelims)` Returns the tokens that compose the string mapped with the given key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bundle

    protected java.util.ResourceBundle bundle

  The managed resource bundle

Constructor Detail

### ResourceManager

    public ResourceManager(java.util.ResourceBundle rb)

  Creates a new resource manager

  Parameters:
    `rb` - a resource bundle

Method Detail

### getString

    public java.lang.String getString(java.lang.String key)
                               throws java.util.MissingResourceException

  Returns the string that is mapped with the given key

  Parameters:
    `key` - a key in the resource bundle
  Throws:
    `java.util.MissingResourceException` - if key is not the name of a resource

### getStringList

    public java.util.List getStringList(java.lang.String key)
                                 throws java.util.MissingResourceException

  Returns the tokens that compose the string mapped with the given key. Delimiters (" \t\n\r\f") are not returned.

  Parameters:
    `key` - a key of the resource bundle
  Throws:
    `java.util.MissingResourceException` - if key is not the name of a resource

### getStringList

    public java.util.List getStringList(java.lang.String key,
                                        java.lang.String delim)
                                 throws java.util.MissingResourceException

  Returns the tokens that compose the string mapped with the given key. Delimiters are not returned.

  Parameters:
    `key` - a key of the resource bundle
    `delim` - the delimiters of the tokens
  Throws:
    `java.util.MissingResourceException` - if key is not the name of a resource

### getStringList

    public java.util.List getStringList(java.lang.String key,
                                        java.lang.String delim,
                                        boolean returnDelims)
                                 throws java.util.MissingResourceException

  Returns the tokens that compose the string mapped with the given key

  Parameters:
    `key` - a key of the resource bundle
    `delim` - the delimiters of the tokens
    `returnDelims` - if true, the delimiters are returned in the list
  Throws:
    `java.util.MissingResourceException` - if key is not the name of a resource

### getBoolean

    public boolean getBoolean(java.lang.String key)
                       throws java.util.MissingResourceException,
                              ResourceFormatException

  Returns the boolean mapped with the given key

  Parameters:
    `key` - a key of the resource bundle
  Throws:
    `java.util.MissingResourceException` - if key is not the name of a resource
    `ResourceFormatException` - if the resource is malformed

### getInteger

    public int getInteger(java.lang.String key)
                   throws java.util.MissingResourceException,
                          ResourceFormatException

  Returns the integer mapped with the given string

  Parameters:
    `key` - a key of the resource bundle
  Throws:
    `java.util.MissingResourceException` - if key is not the name of a resource
    `ResourceFormatException` - if the resource is malformed

### getCharacter

    public int getCharacter(java.lang.String key)
                     throws java.util.MissingResourceException,
                            ResourceFormatException

  Throws:
    `java.util.MissingResourceException`
    `ResourceFormatException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.